module verbosity_mod
  use helix
  use tohist
  use sep
  implicit none
  integer, public :: verb

contains 

  subroutine dumpsepfile(n,data,tag)

    integer, dimension(:) :: n
    real,    dimension(:), pointer :: d,o
    real,    dimension(:) :: data
    character(len = *), intent (in) :: tag

    allocate(d(size(n)),o(size(n)))
    o=0.
    d=1.

    call to_history('n',n,tag)
    call to_history('d',d,tag)
    call to_history('o',o,tag)
    call to_history('esize',4,tag)
    call sep_write(data,tag)
    deallocate(d,o)
  end subroutine dumpsepfile

  subroutine dumpfilter(filt)
    type (filter) :: filt
    integer       :: i

write(0,*)'&&&&&&&&&&$$$$$$$$$$$$^^^^^^^^^^'
write(0,*)'size(filt%lag)=',size(filt%lag)
write(0,*)'&&&&&&&&&&$$$$$$$$$$$$^^^^^^^^^^'

    do i=1,size(filt%lag)
       write(0,*) filt%lag(i),filt%flt(i)
    end do
  end subroutine dumpfilter

end module verbosity_mod
